package com.liquidnet.service.sweet.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class SweetMaoDengVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户id
     */
    private String maoId;
    /**
     * 消息
     */
    private String textMsg;
    /**
     * 图片url
     */
    private String picUrl;
    /**
     * 生成图url
     */
    private String imgUrl;
    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    private static final SweetMaoDengVo obj = new SweetMaoDengVo();
    public static SweetMaoDengVo getNew() {
        try {
            return (SweetMaoDengVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SweetMaoDengVo();
        }
    }
}
